MapSerializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser

## Class MapSerializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.std.ContainerSerializerBase<Map<?,?>>
      - - org.codehaus.jackson.map.ser.std.MapSerializer
        - - org.codehaus.jackson.map.ser.MapSerializer

- All Implemented Interfaces:
    ResolvableSerializer, SchemaAware

  Deprecated.
  Since 1.9 use `MapSerializer`

      @Deprecated
      public class MapSerializer
      extends MapSerializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.MapSerializer

      `_dynamicValueSerializers, _ignoredEntries, _keySerializer, _keyType, _property, _valueSerializer, _valueType, _valueTypeIsStatic, _valueTypeSerializer, UNSPECIFIED_TYPE`

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapSerializer()` Deprecated.
    `protected` | `MapSerializer(HashSet<String> ignoredEntries, JavaType valueType, boolean valueTypeIsStatic, TypeSerializer vts)` Deprecated. Use variant that takes Key type and property information
    `protected` | `MapSerializer(HashSet<String> ignoredEntries, JavaType keyType, JavaType valueType, boolean valueTypeIsStatic, TypeSerializer vts, JsonSerializer<Object> keySerializer, BeanProperty property)` Deprecated. As of 1.8, use version that takes valueSerializer
    `protected` | `MapSerializer(HashSet<String> ignoredEntries, JavaType keyType, JavaType valueType, boolean valueTypeIsStatic, TypeSerializer vts, JsonSerializer<Object> keySerializer, JsonSerializer<Object> valueSerializer, BeanProperty property)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.MapSerializer

      `_findAndAddDynamic, _findAndAddDynamic, _withValueTypeSerializer, construct, construct, getSchema, resolve, serialize, serializeFields, serializeFieldsUsing, serializeTypedFields, serializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.ContainerSerializerBase

      `withValueTypeSerializer`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapSerializer

          protected MapSerializer()

      Deprecated.

    - #### MapSerializer

          @Deprecated
          protected MapSerializer(HashSet<String> ignoredEntries,
                                  JavaType valueType,
                                  boolean valueTypeIsStatic,
                                  TypeSerializer vts)

      Deprecated. Use variant that takes Key type and property information
      Legacy constructor (as of 1.7)

    - #### MapSerializer

          @Deprecated
          protected MapSerializer(HashSet<String> ignoredEntries,
                                  JavaType keyType,
                                  JavaType valueType,
                                  boolean valueTypeIsStatic,
                                  TypeSerializer vts,
                                  JsonSerializer<Object> keySerializer,
                                  BeanProperty property)

      Deprecated. As of 1.8, use version that takes valueSerializer
      Legacy constructor (as of 1.8)

    - #### MapSerializer

          protected MapSerializer(HashSet<String> ignoredEntries,
                       JavaType keyType,
                       JavaType valueType,
                       boolean valueTypeIsStatic,
                       TypeSerializer vts,
                       JsonSerializer<Object> keySerializer,
                       JsonSerializer<Object> valueSerializer,
                       BeanProperty property)

      Deprecated.